package com.aucma.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 统计计量信息对象 base_monitor_work_unit
 *
 * @author Yinq
 * @date 2023-10-12
 */
public class BaseMonitorWorkUnit extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    @Excel(name = "主键标识")
    private Long objId;

    /**
     * 计量设备编号
     */
    @Excel(name = "计量设备编号")
    private String monitorCode;

    /**
     * 计量设备名称
     */
    @Excel(name = "计量设备名称")
    private String monitorName;

    /**
     * 统计单元编号
     */
    @Excel(name = "统计单元编号")
    private String workUnitCode;

    /**
     * 统计单元名称
     */
    @Excel(name = "统计单元名称")
    private String workUnitName;

    /**
     * 计量设备状态
     */
    @Excel(name = "计量设备状态")
    private Long monitorStatus;

    /**
     * 计量设备类型
     */
    @Excel(name = "计量设备类型")
    private Long monitorType;

    /**
     * 计算方式（0-加，1-减）
     */
    @Excel(name = "计算方式", readConverterExp = "0=-加，1-减")
    private Long formulaMode;

    /**
     * 比率
     */
    @Excel(name = "比率")
    private Long proportion;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 修改人
     */
    @Excel(name = "修改人")
    private String updatedBy;

    /**
     * 修改时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public String getMonitorName() {
        return monitorName;
    }

    public void setMonitorName(String monitorName) {
        this.monitorName = monitorName;
    }

    public String getWorkUnitName() {
        return workUnitName;
    }

    public void setWorkUnitName(String workUnitName) {
        this.workUnitName = workUnitName;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setMonitorCode(String monitorCode) {
        this.monitorCode = monitorCode;
    }

    public String getMonitorCode() {
        return monitorCode;
    }

    public void setWorkUnitCode(String workUnitCode) {
        this.workUnitCode = workUnitCode;
    }

    public String getWorkUnitCode() {
        return workUnitCode;
    }

    public void setMonitorStatus(Long monitorStatus) {
        this.monitorStatus = monitorStatus;
    }

    public Long getMonitorStatus() {
        return monitorStatus;
    }

    public void setMonitorType(Long monitorType) {
        this.monitorType = monitorType;
    }

    public Long getMonitorType() {
        return monitorType;
    }

    public void setFormulaMode(Long formulaMode) {
        this.formulaMode = formulaMode;
    }

    public Long getFormulaMode() {
        return formulaMode;
    }

    public void setProportion(Long proportion) {
        this.proportion = proportion;
    }

    public Long getProportion() {
        return proportion;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("monitorCode", getMonitorCode())
                .append("workUnitCode", getWorkUnitCode())
                .append("monitorStatus", getMonitorStatus())
                .append("monitorType", getMonitorType())
                .append("formulaMode", getFormulaMode())
                .append("proportion", getProportion())
                .append("remark", getRemark())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
